# SIG Contributor Events

This document defines planning and activities needed to organize the SIG Meet and Greet and SIG F2F activities at Contributor Summits.

- [SIG Meet and Greet](#sig-meet-and-greet)
- [SIG F2Fs](#sig-f2fs)

## Skills and Qualifications

- Familiarity with the SIGs, including understanding how SIGs are related to each other and any likely overlap in membership.
- Good organizational skills, including being able to relentlessly follow up and get responses if SIGs are unresponsive.

## SIG Meet and Greet

### Overview

The SIG Meet and Greet is a great place for SIGs to recruit contributors, and 
every SIG should send one or more experienced members to the Meet and Greet.

As part of the Contributor Summit SIG Meet and Greet, SIGs will have easy access to 

* experienced Kubernetes contributors who are interested in expanding their involvement into new SIGs.
* new contributors, many of whom have extensive experience from other projects, and 
are excited to get started in Kubernetes after attending a New Contributor Workshop. 

As SIG Meet and Greet Lead, you are responsible for contacting each SIG, encouraging them to participate, 
and facilitating the session at the Contributor Summit.

Time Commitment

  - 1-2 hours a week from 3 months in 
  - 2-3 hours a week in the month leading up to the event

### Responsibilities

- Contact each SIG and get the names of 1 or more experienced members who will represent the SIG at the Meet and Greet.
- Expect to spend a fair amount of time following up with SIGs to get the name of their representatives.
- Add these representatives to a calendar notice for the SIG Meet and Greet.
- Make sure that we have table stands and buttons for each SIG that are organized and easy to hand out at the beginning of the event.
- Recruit a few volunteers to distribute table stands and buttons and to help SIGs / contributors find the right tables. 
- Make a short announcement at the beginning with an overview of how it works.
- Walk around the room to help lost contributors get matched up with a SIG table.

### Documentation

- [SIG Meet and Greet Barcelona 2019](https://github.com/kubernetes/community/issues/3516)

## SIG F2Fs

### Overview

At *some* Contributor Summits, we will have space available for SIGs to hold in person meetings for contributors. In most cases, these
are like the normal SIG Zoom meetings, but in person. Note that these meetings are
just for SIG contributors, and don't replace the intro and deep dive meetings held during KubeCon for users.

As SIG F2F Lead, you are responsible for reaching out to SIGs to find out which ones would like to hold meetings, and then managing the
space available to make sure that we stop accepting new requests when we run out of space.

Time Commitment

  - 1-3 hours a week in the 2 months prior to the event.

### Responsibilities

- Put together a request form to gather requests and find out how much time they require and how many people they expect.
- Promote this request form to the SIGs in our regular SIG chair emails.
- Work with the event staff to understand the space available.
- Coordinate with the New Contributor Workshop and other Contributor Summit organizers to make sure that these meetings do not overlap with other activities, especially the SIG Meet and Greet.
- Place SIGs in rooms at specific times being careful to put SIGs at different times if they are likely to overlap in membership.
- Communicate room placement / times back to the SIGs and ask them to promote their meeting within their SIG.
- Make sure that the F2F activities are on the schedule with a brief description of the purpose of these meetings.

### Documentation

- [SIG F2F Guidelines for Barcelona](https://github.com/kubernetes/community/blob/master/events/2019/05-contributor-summit/sig-f2f-guidelines.md)
